Loading...
Searching...
No Matches
etl::instance_count< T, TCounter > Class Template Reference

`#include <instance_count.h>`

## Public Types

typedef T | type
typedef TCounter | counter_type

## Public Member Functions

| instance_count ()
| Construct and add 1.
| instance_count (const instance_count &)
| Copy construct and add 1.
instance_count & | operator= (const instance_count &)
| Assignment operator.
| ~instance_count ()
| Destruct and subtract 1.

## Static Public Member Functions

static const counter_type & | get_instance_count ()
| Get how many instances we have.
static void | reset_instance_count ()
| Get how many instances we have.

## Detailed Description

template<typename T, typename TCounter = int32_t>
class etl::instance_count< T, TCounter >

Inherit from this to count instances of a type.

The documentation for this class was generated from the following file:

- include/etl/instance_count.h